=== debian/changelog ===
python-jaeger-client (4.8.0-2) unstable; urgency=medium

  * Add remove-tests-with-yield.patch.

 -- Thomas Goirand <zigo@debian.org>  Mon, 29 Sep 2025 16:21:17 +0200

python-jaeger-client (4.8.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1079909)

 -- Thomas Goirand <zigo@debian.org>  Mon, 02 Oct 2023 13:22:56 +0200
