=== debian/control ===
Source: python-jaeger-client
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-setuptools,
Build-Depends-Indep:
 python3-opentracing,
 python3-prometheus-client,
 python3-py,
 python3-pycurl,
 python3-pytest,
 python3-pytest-benchmark,
 python3-pytest-httpserver,
 python3-six,
 python3-threadloop,
 python3-thrift,
 python3-tornado,
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/openstack-team/third-party/python-jaeger-client
Vcs-Git: https://salsa.debian.org/openstack-team/third-party/python-jaeger-client.git
Homepage: https://github.com/jaegertracing/jaeger-client-python

Package: python3-jaeger-client
Architecture: all
Depends:
 python3-opentracing,
 python3-prometheus-client,
 python3-pycurl,
 python3-six,
 python3-thrift,
 python3-tornado,
 ${misc:Depends},
 ${python3:Depends},
Description: OpenTracing tracer implementation
 This is a client-side library that can be used to instrument Python apps for
 distributed trace collection, and to send those traces to Jaeger. See the
 OpenTracing Python API for additional detail.
