=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/jaegertracing/jaeger-client-python
include /usr/share/openstack-pkg-tools/pkgos.make

export PYBUILD_TEST_ARGS= -v --ignore tests/test_tracer_benchmark.py tests -k 'not test_baggage_as_unicode_strings_with_httplib and not test_error_reporter_sends_metrics_if_configured'

%:
	dh $@ --buildsystem=pybuild --with python3
